<?php

namespace Drupal\uptime_widget\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides an 'Uptime' block.
 *
 * @Block(
 *   id = "uptime_widget_fancy_block",
 *   admin_label = @Translation("Uptime")
 * )
 */
class UptimeWidgetFancyBlock extends BlockBase {

  /**
   * The fancy version of the uptime block.
   */
  public function build() {
    $is_uptime_enabled = \Drupal::config('uptime_widget.settings')->get('enabled');
    $is_notice_enabled = \Drupal::config('uptime_widget.settings')->get('notice_enabled');
    $build = [];
    if ($is_uptime_enabled || $is_notice_enabled) {
      $build = [
        '#theme' => 'uptime_widget_fancy_block',
      ];
    }
    return $build;
  }

}
